Create Wikipedia Lingua Franca Nova 2
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wikipedia Lingua Franca Nova 2.

Thank you.

Checklist
There are a very large number of changes, so older changes are hidden. Show Older Changes

This should be in Wiki-Setup (Create), however that works.

Will Make Initial Config

Change 399831 had a related patch set (by Jayprakash12345) published:
[operations/dns@master] Add new language Lingua Franca Nova - lfn.wikipedia.org

https://gerrit.wikimedia.org/r/399831

Urbanecm triaged this task as Low priority.
Urbanecm moved this task from Untriaged to Create on the Wiki-Setup board.
Urbanecm edited projects, added Wiki-Setup (Create); removed Wiki-Setup.
Ebe123 added a subscriber: Ebe123.Dec 22 2017, 4:26 PM

@MF-Warburg If Posible, Please give me svg logo file link. So that I can upload HD logo as well. Thank You

MarcoAurelio changed the status of subtask T183566: Prepare storage layer for lfnwiki from Open to Stalled.Dec 23 2017, 9:25 AM

Is the SVG logo what is stalling this?

No. In Wiki creations there are too many people involved and it takes some time. Additionaly, a code freeze is right now in effect and it will be released on January 2nd. Nothing except patch proposals can be done. As this is a language project, it requires just two patchs, one adding the new language to DNS and second one which will give some sane settings to that new MediaWiki. After then, a system administrator will reserve a window and create the wiki.

Change 399831 merged by Dzahn:
[operations/dns@master] Add new language Lingua Franca Nova - lfn.wikipedia.org

https://gerrit.wikimedia.org/r/399831

Mentioned in SAL (#wikimedia-operations) [2017-12-26T16:27:33Z] <mutante> re-generated DNS zones to add new language lfn (Lingua Franca Nova) (T183561)

Change 400234 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for lfnwiki

https://gerrit.wikimedia.org/r/400234

Uploaded intiial configuration. Just a note that it's depending on 399805 which will switch all Wikipedia logos to direct using of SVG (PNG as fallback). But the wiki will be created definitly after deployment so it do not make anything bad.

Urbanecm updated the task description. (Show Details)Dec 26 2017, 4:45 PM
Urbanecm moved this task from Backlog to Blocked on others on the User-Urbanecm board.

Waiting on system administrator who will reserve a window and create the Wiki for real. @Dereckson, will we wait for another wikis?

Change 400601 had a related patch set uploaded (by Jayprakash; owner: Jayprakash12345):
[mediawiki/services/restbase/deploy@master] Add lfn.wikipedia.org to RESTBase

https://gerrit.wikimedia.org/r/400601

I've filled several of tasks (they're subtasks of this one, see the top of this page). Please translate everything in them. Thanks!

Assoc updated the task description. (Show Details)Jan 27 2018, 9:54 AM
Urbanecm updated the task description. (Show Details)Jan 27 2018, 12:54 PM
Urbanecm added a subscriber: Assoc.

@Assoc: Please do not make changes in things approved by the Language Comittee. Only members of the Comittee are authorized to do that.

Katxis added a subscriber: Katxis.Feb 14 2018, 9:00 AM

Sorry to bother, but I would like to ask how long will it take to get the Lingua franca nova wikipedia ready to move it to its final address as we have been waiting for a while and it seems that the project is stopped.

@Katxis Currently we're waiting on the translations, then a system administrator must reserve a window and create a wiki. Wikis creation often takes more than a month.

Sorry, what do you mean by "we're waiting on the translations"? Is anything related to the code?

At the top of this page (below the description, above the comments) there's a list of subtasks. You should focus on opened subtasks (there is open next to each opened subtask), open its page and provide translations of strings that are in its description. Of course the page you linked is also very important, but what I'm talking about is real blocker, because wiki cannot be created without having translated all the namespaces (well, it "can" be created somehow but it's a source of a lot of problems).

I have translated the last three that are called "Localize...". Do I need to translate anything else?

As I said, wikis creation requires intervention from a lot of teams and takes a long time - sometime even more than a month. Please be patient.

Hi! Could you please tell me how is it going the moving to the final Wikipedia page? Is there anything else that we need to do (translating any strings of text for instance?)

Hello @Katxis, as I wrote before, wiki creation requires intervention from a lot of teams and takes a lot of time. Please be patient. I discussed with @Reedy yesterday about creation of pending wikis (6 currently), he will check if everything's done and will reserve a window and perform the creation.

Katxis added a comment.Apr 2 2018, 7:27 AM

Hi @Urbanecm and @Reedy, anyu news regarding the creation of the Lingua Franca Nova Wikipedia? Is everything done? Anything we need to translate from our side?

As explained above, wiki creations takes a lot of time and involves large ammounts of people and resources. Please be patient. There's also some database work that still needs to be done. Thanks for your understanding.

Well, in fact, labs filtering is done AFTER installation for public wikis. Reedy is laptopless ATM, he said he probably can reserve window sometime this week and create all pending wikis in that window.

Katxis added a comment.Apr 2 2018, 9:46 AM

Thanks for your answers and for your hard work :)

As someone who has done many months of editing work on the content of the Lingua Franca Nova Wikipedia, I really appreciate your efforts to bring this project to fruition. I also understand that the process requires collaboration from multiple teams. I'd just like to politely add my voice to those hoping that this can be progressed soon. 111 days have passed since this wiki was approved, and we are of course very eager to see it become active!

Dereckson added a comment.EditedApr 14 2018, 8:06 PM

Thanks for your commitment @Sajmcxjo.

I'm going to ask a deployment window this Wednesday to create wikis.

Change 400234 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for lfnwiki

https://gerrit.wikimedia.org/r/400234

Change 427547 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Change 427547 merged by jenkins-bot:
[operations/mediawiki-config@master] Declare six new wikis to wikiversions

https://gerrit.wikimedia.org/r/427547

Mentioned in SAL (#wikimedia-operations) [2018-04-18T22:16:59Z] <Dereckson> Created database for lfn.wikipedia.org (T183561)

Jayprakash12345 changed the status of subtask T183566: Prepare storage layer for lfnwiki from Stalled to Open.Apr 19 2018, 11:05 AM

Wikidata item has been created: https://www.wikidata.org/wiki/Q52047822
Still not possible to link from/to lfn, so I'll ask Wikidata people to add support for lfn.

We need to ask Wikidata team to run the populate scripts

Reedy added a comment.Apr 20 2018, 1:20 PM

We need to ask Wikidata team to run the populate scripts

I’ve a few tasks about this. Both documentation in the wiki tech pages and also what’s in addWiki.php

We really need to get this mess cleared up and documented so we don’t have these problems every time we create a new wiki or a batch of them

Change 428052 had a related patch set (by MarcoAurelio) published:
[operations/mediawiki-config@master] Follow-up Ibd314fc2

https://gerrit.wikimedia.org/r/428052

There's a problem with namespaces. NS_PROJECT should be Vicipedia (talk: Vicipedia Discute) (not in InitialiseSettings.php)
Logo is not displaying because the path was not added on InitialiseSettings.php
Patch fixing those submitted above.

Change 400601 abandoned by Mobrovac:
Add lfn.wikipedia.org to RESTBase

Reason:
Superseded by I2f9bbbd86230b51c6d44e1265a8b8ba5e91e1321

https://gerrit.wikimedia.org/r/400601

Change 400601 abandoned by Mobrovac:
Add lfn.wikipedia.org to RESTBase

Reason:
Superseded by I2f9bbbd86230b51c6d44e1265a8b8ba5e91e1321

https://gerrit.wikimedia.org/r/400601

Addressed by Gerrit 427939 / T192678

Change 428052 merged by jenkins-bot:
[operations/mediawiki-config@master] lfnwiki: add logo path and missing namespace names

https://gerrit.wikimedia.org/r/428052

Mentioned in SAL (#wikimedia-operations) [2018-04-23T13:57:07Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:428052|lfnwiki: add logo path and missing namespace names (T183561)]] (duration: 01m 15s)

zfilipin@terbium:~$ mwscript namespaceDupes.php lfnwiki
id=666 ns=0 dbk=Vicipedia:Lista_de_articles_nesesada_per_vicipedia -> Vicipedia:Lista_de_articles_nesesada_per_vicipedia (no conflict) DRY RUN ONLY
id=2082 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria (no conflict) DRY RUN ONLY
2 pages to fix, 2 were resolvable.

pagelinks from=4 ns=0 dbk=Vicipedia:Avenis_corente -> Vicipedia:Avenis_corente DRY RUN
pagelinks from=2076 ns=0 dbk=Vicipedia:Avenis_corente -> Vicipedia:Avenis_corente DRY RUN
pagelinks from=4 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2068 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2069 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2070 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2071 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2075 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2076 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2080 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2084 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2090 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=2137 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial DRY RUN
pagelinks from=4 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria DRY RUN
pagelinks from=2076 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria DRY RUN
15 links to fix, 15 were resolvable.

Looks good!
zfilipin@terbium:~$ mwscript namespaceDupes.php lfnwiki --fix
id=666 ns=0 dbk=Vicipedia:Lista_de_articles_nesesada_per_vicipedia -> Vicipedia:Lista_de_articles_nesesada_per_vicipedia (no conflict)
id=2082 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria (no conflict)
2 pages to fix, 2 were resolvable.

pagelinks from=4 ns=0 dbk=Vicipedia:Avenis_corente -> Vicipedia:Avenis_corente
pagelinks from=2076 ns=0 dbk=Vicipedia:Avenis_corente -> Vicipedia:Avenis_corente
pagelinks from=4 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2068 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2069 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2070 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2071 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2075 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2076 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2080 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2084 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2090 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=2137 ns=0 dbk=Vicipedia:Conversa_comunial -> Vicipedia:Conversa_comunial
pagelinks from=4 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria
pagelinks from=2076 ns=0 dbk=Vicipedia:Voteria -> Vicipedia:Voteria
15 links to fix, 15 were resolvable.

Looks good!
Urbanecm closed this task as Resolved.May 18 2018, 8:04 PM

Should be resolved.